## openjdk-11 11.0.17+8

=== debian/changelog ===
openjdk-11 (11.0.17+8-2) unstable; urgency=medium

  * Bump build dependencies on jtreg.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Oct 2022 16:06:55 +0200

openjdk-11 (11.0.17+8-1) unstable; urgency=high

  * OpenJDK 11.0.17+8 build (release).
  * Build using GCC 12 in recent development distros.
  * Don't install the security/blacklisted.certs symlink anymore.
    Closes: #1021866.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Oct 2022 06:48:12 +0200
