## openjdk-11 11.0.18%2B10

=== debian/changelog ===
openjdk-11 (11.0.18+10-2revyos1) unstable; urgency=medium

  * init riscv patch and build rules

 -- Xin Yang <yangxin@iscas.ac.cn>  Mon, 10 Apr 2023 19:49:10 +0800

openjdk-11 (11.0.18+10-1) unstable; urgency=high

  * OpenJDK 11.0.18+10 build (release).
    - CVE-2023-21835, CVE-2023-21843
    - Release notes:
      https://www.oracle.com/java/technologies/javase/11-0-18-relnotes.html

  [ Matthias Klose ]
  * Handle jtreg package name for backports.

  [ Vladimir Petko ]
  * debian/patches/*: Refreshed patches for the new release and dropped unused
    patches.
  * debian/watch: use jdk11u repository as upstream.
  * debian/rules: add lunar to jtreg version selection.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jan 2023 10:46:52 +0100
