=== debian/control ===
--- 
+++ 
@@ -158,7 +158,7 @@
  This package contains the debugging symbols.
 
 Package: openjdk-11-jre-zero
-Architecture: amd64 i386 arm64 ppc64 ppc64el s390x
+Architecture: amd64 i386 arm64 ppc64 ppc64el riscv64 s390x
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${dpkg:Depends}
