=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 
 hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x
 jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc powerpcspe ppc64 sh4 x32
+hotspot_archs	+= riscv64
 jtreg_archs	+= armel mipsel mips64el
 
 # FIXME: use bootcycle builds for zero archs?
@@ -151,11 +152,17 @@
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
-jtreg_pkg = jtreg6
+ifneq (,$(filter $(distrel), sid bookworm bullseye focal jammy kinetic lunar))
+  jtreg_pkg = jtreg6
+else ifneq (,$(filter $(distrel), sid bookworm bullseye))
+  jtreg_pkg = jtreg
+else
+  jtreg_pkg =
+endif
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
 # see Debian #920161
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha riscv64))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
@@ -225,7 +232,3 @@
 	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
 	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
 	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
-# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
-dpkg_buildflags_hs += \
-	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
-	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
