## openjdk-11 11.0.18+10

=== debian/changelog ===
openjdk-11 (11.0.18+10-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Jan 2023 15:52:45 +0100
