=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
-  jtreg6 (>= 6+1-0~) <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
+  file,
   autoconf, automake, autotools-dev, ant, ant-optional,
-  g++-12 <!cross>,
+  g++-10 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libgtk2.0-0 | libgtk-3-0, libharfbuzz-dev,
   libffi-dev,
@@ -158,7 +158,7 @@
  This package contains the debugging symbols.
 
 Package: openjdk-11-jre-zero
-Architecture: amd64 i386 arm64 ppc64 ppc64el riscv64 s390x
+Architecture: amd64 i386 arm64 ppc64 ppc64el s390x
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${dpkg:Depends}
