=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,6 @@
 
 hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x
 jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc powerpcspe ppc64 sh4 x32
-hotspot_archs	+= riscv64
 jtreg_archs	+= armel mipsel mips64el
 
 # FIXME: use bootcycle builds for zero archs?
@@ -162,7 +161,7 @@
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
 # see Debian #920161
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha riscv64))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
@@ -232,3 +231,4 @@
 	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
 	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
 	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
+# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
