## openjdk-11 11.0.22+7

=== debian/changelog ===
openjdk-11 (11.0.22+7-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Add zero support for loong64 (Leslie Zhai). Closes: #1060821.
  * d/changelog: Whitespace cleanup.
  * Update build dependency on libfontconfig-dev.
  * Apply proposed patch for JDK-8307977. Closes: #1034600.

  [ Vladimir Petko ]
  * d/t/jtreg-autopkgtest.*: Set jtreg home property correctly.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Jan 2024 21:04:10 +0100

openjdk-11 (11.0.22+7-1) unstable; urgency=high

  * OpenJDK 11.0.22 release, build 7.
    - CVEs:
      + CVE-2024-20918
      + CVE-2024-20919
      + CVE-2024-20921
      + CVE-2024-20945
      + CVE-2024-20952
    - Security fixes:
      + JDK-8308204: Enhanced certificate processing.
      + JDK-8314295: Enhance verification of verifier.
      + JDK-8314307: Improve loop handling.
      + JDK-8314468: Improve Compiler loops.
      + JDK-8316976: Improve signature handling.
      + JDK-8317547: Enhance TLS connection support.
      + JDK-8314284: Enhance Nashorn performance (CVE-2024-20926).

  [ Vladimir Petko ]
  * Generate d/watch to cope with early access and release builds.
  * d/rules: Trim trailing whitespaces from debian/control.

  [ Pushkar Kulkarni ]
  * Minor improvements to the copyright-generator.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jan 2024 16:28:29 +0100

openjdk-11 (11.0.22~6ea-1) unstable; urgency=medium

  * OpenJDK 11.0.22+6 build (early access).

  [ Pushkar Kulkarni ]
  * debian/copyright: Update copyrights and notices, using a generator script.

  [ Vladimir Petko ]
  * d/copyright: Fix lintian warning.

  [ Matthias Klose ]
  * d/copyright: Fix source location.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Dec 2023 13:23:50 +0100

openjdk-11 (11.0.21+9-1) unstable; urgency=high

  * OpenJDK 11.0.21 release, build 9.
    - CVE-2023-22081.
    - Release notes:
      https://www.oracle.com/java/technologies/javase/11-0-21-relnotes.html#R11_0_21

  [ Vladimir Petko ]
  * d/test: update problemlist.
  * d/p: drop exclude-broken-tests.patch.
  * d/p/reproducible-properties-timestamp.diff: use the privileged action
    to read the system property (JDK-8272157, 914278).

  [ Matthias Klose ]
  * Build using GCC 13 on development versions.

  [ Pushkar Kulkarni ]
  * Handle limited ECC capabilities of NSS on older releases.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Oct 2023 09:28:04 +0200

openjdk-11 (11.0.21~4ea-1) unstable; urgency=medium

  * OpenJDK 11.0.21 release, build 4 (early access).

  [ Vladimir Petko ]
  * d/copyright: remove liblcms from excluded files.
  * Refresh patch for 11.0.21+2 ea.
  * d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
    to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.

  [ Matthias Klose ]
  * Explicitly configure --without-jtreg with the nocheck profile

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Aug 2023 12:53:49 +0200
