## openjdk-11 11.0.23+9

=== debian/changelog ===
openjdk-11 (11.0.23+9-1~deb10u1) buster-security; urgency=medium

  * Backport to buster.
  * Re-enable test suite, there's no t64 transition here.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 18 Apr 2024 14:41:46 +0200

openjdk-11 (11.0.23+9-1) unstable; urgency=high

  * OpenJDK 11.0.23 release, build 9.
    - CVE-2024-21011, 8319851: Improve exception logging.
    - CVE-2024-21068, 8322122: Enhance generation of addresses.
    - 8318340: Improve RSA key implementations.
    - CVE-2024-21012, 8315708: Enhance HTTP/2 client usage.
    - CVE-2024-21094, 8317507: Already fixed in November 2023:
      C2 compilation fails with "Exceeded _node_regs array".
    - CVE-2024-21085, 8322114: Improve Pack 200 handling.

  [ Pushkar Kulkarni ]
  * Use 64-bit clock_* function on archs like armhf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 15:39:11 +0200

openjdk-11 (11.0.23~7ea-1) unstable; urgency=medium

  * OpenJDK 11.0.23+7 build (early access).

  [ Matthias Klose ]
  * Update cups dependencies for time_t64.

  [ Pushkar Kulkarni ]
  * copyright-generator: Derive release from debian/rules.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 01:56:26 +0100

openjdk-11 (11.0.22+7-3) unstable; urgency=medium

  * libcups2, libfontconfig1: Make it a recommends in jre-headless,
    a dependency in jre.
  * Make the dependencies for libfontmanager.so and libjsound.so
    recommendations in jre-headless, and dependencies in jre.
  * Drop build dependencies on libgtk2 | libgtk3.
  * Disable running the tests for the time_t64 bootstrap.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2024 16:32:39 +0100

openjdk-11 (11.0.22+7-1~deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Backport to buster.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 22 Jan 2024 14:16:55 +0100

openjdk-11 (11.0.21+9-1~deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Backport to buster.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 23 Oct 2023 08:32:45 +0200

openjdk-11 (11.0.20+8-1~deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Backport to buster.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 18 Sep 2023 19:14:04 +0200

openjdk-11 (11.0.18+10-1~deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Backport to buster.
  * rules: enable testsuite, jtreg6 has been backported.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 31 Jan 2023 10:06:57 +0100
